## pysyncobj 0.3.14

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PySyncObj.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PySyncObj.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PySyncObj"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PySyncObj"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## pysyncobj 0.3.7

=== debian/changelog ===
pysyncobj (0.3.7-2) unstable; urgency=medium

  * No change source-only upload. 

 -- Michael Banck <mbanck@debian.org>  Fri, 06 Nov 2020 16:36:17 +0100

pysyncobj (0.3.7-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Tue, 03 Nov 2020 22:29:20 +0100

=== debian/control ===
Source: pysyncobj
Section: python
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all-dev (>= 3.6),
               python3-cryptography,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.4.1
X-Python3-Version: >= 3.6
Homepage: https://github.com/bakwc/PySyncObj
Vcs-Browser: https://salsa.debian.org/mbanck/pysyncobj
Vcs-Git: https://salsa.debian.org/mbanck/pysyncobj.git
Testsuite: autopkgtest-pkg-python

Package: python3-pysyncobj
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: RAFT-based python class replication between multiple servers
 PySyncObj is a python library for building fault-tolerant distributed systems.
 It provides the ability to replicate your application data between multiple
 servers. It has following features:
 .
  * raft protocol for leader election and log replication
  * Log compaction - it use fork for copy-on-write while serializing data on
    disk
  * Dynamic membership changes - you can do it with syncobj_admin utility or
    directly from your code
  * Zero downtime deploy - no need to stop cluster to update nodes
  * In-memory and on-disk serialization - you can use in-memory mode for small
    data and on-disk for big one
  * Encryption - you can set password and use it in external network
  * Configurable event loop - it can works in separate thread with it's own
    event loop - or you can call onTick function inside your own one
  * Convenient interface - one can easily transform arbitrary class into a
    replicated one

=== debian/watch ===
version=3
https://github.com/bakwc/PySyncObj/releases .*/archive/v?([\d.]+)\.tar\.gz

## pysyncobj 0.3.10

=== debian/changelog ===
pysyncobj (0.3.10-2) unstable; urgency=medium

  * debian/control: Add python3-cryptography to Depends.

 -- Michael Banck <mbanck@debian.org>  Sun, 13 Feb 2022 16:59:58 +0100

pysyncobj (0.3.10-1) unstable; urgency=medium

  * New upstream version.

 -- Michael Banck <mbanck@debian.org>  Sun, 13 Feb 2022 14:27:13 +0100

pysyncobj (0.3.9-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch: Updated. 

 -- Michael Banck <mbanck@debian.org>  Wed, 25 Aug 2021 12:25:54 +0200

=== debian/watch ===
version=3
https://github.com/bakwc/PySyncObj/releases .*/v?([\d.]+)\.tar\.gz

## pysyncobj 0.3.11

=== debian/changelog ===
pysyncobj (0.3.11-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 02 Oct 2022 11:50:46 +0200

pysyncobj (0.3.11-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch: Updated. 

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Oct 2022 11:50:46 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
 Section: python
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-cryptography
 Description: RAFT-based python class replication between multiple servers
  PySyncObj is a python library for building fault-tolerant distributed systems.
  It provides the ability to replicate your application data between multiple

=== debian/watch ===
version=3
https://github.com/bakwc/PySyncObj/tags .*/archive/refs/tags/([\d.]+)\.tar\.gz

## pysyncobj 0.3.12

=== debian/changelog ===
pysyncobj (0.3.12-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 25 Oct 2023 20:38:55 +0200

pysyncobj (0.3.12-1) unstable; urgency=medium

  * New upstream version.

 -- Michael Banck <mbanck@debian.org>  Wed, 25 Oct 2023 20:38:55 +0200

## pysyncobj 0.3.14

=== debian/changelog ===
pysyncobj (0.3.14-2.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 15 Mar 2025 13:01:32 +0100

pysyncobj (0.3.14-2) unstable; urgency=medium

  * debian/control (Build-Depends): Added python3-sphinx and
    python3-sphinx-rtd-theme.
  * debian/rules: Build sphinx HTML documentation.
  * debian/python3-pysyncobj.install: New file.

 -- Michael Banck <mbanck@debian.org>  Sat, 15 Mar 2025 13:01:32 +0100

pysyncobj (0.3.14-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch: Updated.
  * debian/tests: Add autopkgtest.

 -- Michael Banck <mbanck@debian.org>  Sat, 15 Mar 2025 12:47:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
                python3-all-dev (>= 3.6),
                python3-cryptography,
                python3-pytest,
-               python3-setuptools
+               python3-setuptools,
+               python3-sphinx,
+               python3-sphinx-rtd-theme
 Standards-Version: 4.4.1
 X-Python3-Version: >= 3.6
 Homepage: https://github.com/bakwc/PySyncObj

=== debian/watch ===
version=3
https://github.com/bakwc/PySyncObj/tags .*/archive/refs/tags/v?([\d.]+)\.tar\.gz
